"use client";

import { Dictionary, Locale } from "@allai/i18n/server";
import { I18nProvider } from "@allai/i18n/client";
import { ReactNode } from "react";

export function I18nClientProvider({
  locale,
  dictionary,
  children
}: {
  locale: Locale;
  dictionary: Dictionary;
  children: ReactNode;
}) {
  return <I18nProvider value={{ locale, dictionary }}>{children}</I18nProvider>;
}
